Subject: Re: bug#52063: 28.0.60; Confusing presentation of lambda

From: Stefan Monnier <[email-masked]>
Date: Fri, 26 Nov 2021 09:57:51 -0500

>>> I sense a bit of confusion: we're talking about the runtime representation
>>> of function values: those never occur in source code.
>> Yes, but we're able to funcall those runtime representations.

I'd hope so: that's what runtime representation of functions are for.

>> So that doesn't really make much of a difference here, I think?
> (That is -- the point of all this is to make the printed representation
> of the runtime representation more recognisable (and usable) as source
> code, even if it'll never appear in nature.)

My objection was to:

    (Which would also mean that we'd have to allow `declare' in lambdas,
    which I think we should anyway.)

-- Stefan